// Document ready
$(function () {
    //Header Fixed
    //=========================================================
    $(window).scroll(function () {
        if ($(window).scrollTop() >= $('#top-row').outerHeight()) {
            $('header').addClass('scroll-header fixed-header');
        }
        if ($(window).scrollTop() < $('#top-row').outerHeight()) {
            $('header').removeClass('scroll-header fixed-header');
        }
    });
    if ($(window).scrollTop() >= $('#top-row').outerHeight()) {
        $('header').addClass('scroll-header fixed-header');
    }


    //Search Form
    //=========================================================
    $('#search').attr('placeholder', 'Search...');
    $('#search-form button').addClass('icon-search');

    $('header .search-btn').on('click', function () {
        $(this).toggleClass('active');
        $(this).next().toggleClass('open');

        setTimeout(function () {
            $('#search').focus();
        }, 500);
    });


    //Mobile Navigate Toggle
    //=========================================================
    $('.main_menu li li:has(ul)').find('>a.page-title').addClass('has-sub');
    $("html").addClass('docReady');

    $(".button-menu").click(function () {
        $("#main-menu, .menu-overlay").addClass("open");
        $(this).addClass('active');
        $("html").addClass("wrap");
    });

    $(".menu-overlay, .button-menu-close").click(function () {
        $("#main-menu, .menu-overlay").removeClass("open");
        $(".button-menu").removeClass('active');

        setTimeout(function () {
            $("html").removeClass("wrap");
        }, 700);
    });

    $('.sub-menu-btn').on('click', function () {
        $(this).parent().find('>ul').toggleClass('open');
        $(this).toggleClass('active');
    });


    //Ajax Lazyload-initial
    //=========================================================
    $(document).ajaxComplete(function () {
        $(function() {
            var lazyload = $('.lazyload-img');

            if(lazyload.length) {
                lazyload.lazyload();
            }
        });
    });
});